Működik valakinek a videó gyorsítás Ubuntu alatt?

 ( krychek | 2011. december 20., kedd - 17:59 )

Sziasztok,

A kérdés adott, van közületek olyan, aki le tud játszani Ubuntu alatt egy full hd filmet hardveres gyorsítással? Hekkeléssel vagy out of the box.

Nekem Ati HD4330 és Ubuntu 11.10-es originál csomagjaim vannak:
libva1: 1.0.12-2; libva-dev: 1.0.12-2; xvba-va-driver: 0.7.8-1ubuntu1; fglrx: 2:8.881-0ubuntu4.1

Ezek után a vainfo ezzel jön:

$ vainfo
libva: libva version 0.32.0
Xlib: extension "XFree86-DRI" missing on display ":0.0".
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/dri/fglrx_drv_video.so
Xlib: extension "XFree86-DRI" missing on display ":0.0".
xvba_video: XVBA_CreateContext(): status 11
libva error: /usr/lib/dri/fglrx_drv_video.so init failed
libva: va_openDriver() returns -1
vaInitialize failed with error code -1 (unknown libva error),exit

Itt a bug, amit erről jelentettem.

Itt van egy leírás, ami alapján be tudtam lőni a videó gyorsítást, de mindenféle 3rd party csomagok kellettek, legújabb ati driver és forrásból fordított, hekkelt mplayer.

Ezzel az volt a baj, hogy teljesen lehetetlenné tette a csomagkezelést a különböző függőségek miatt. Nem lehetett upgrade-lni, vlc-t, smplayer-t telepíteni stb.. Ezzel sem lehet így együtt élni, de talán lehet javítani a helyzeten (nem próbáltam).

Csak én vagyok így a videó gyorsítással vagy tényleg ilyen ratyi a helyzet? Nvidiások esetleg?
Vajon ha a vainfo még működne, akkor a vlc ki tudná használni? Vagy az Ubuntu repós mplayer?
Ha gyorsan mennének az mkv-k, akkor az avi-kkal romlana a helyzet?

Üdv.

Update: Csináltam egy friss Ubuntu 12.04 installt és most működik mindenféle trükk nélkül:
$ vainfo
libva: VA-API version 0.32.0
Xlib: extension "XFree86-DRI" missing on display ":0".
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/x86_64-linux-gnu/dri/fglrx_drv_video.so
libva: va_openDriver() returns 0
vainfo: VA-API version: 0.32 (libva 1.0.15)
vainfo: Driver version: Splitted-Desktop Systems XvBA backend for VA-API - 0.7.8
vainfo: Supported profile and entrypoints
VAProfileH264High : VAEntrypointVLD
VAProfileVC1Advanced : VAEntrypointVLD

Ahogy látom a VLC nem támogatja, a Totem viszont igen.

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

subscribe

Úgy tudom a legújabb XBMC-ben már natívan megy az xvba gyorsítás, mindenféle külső hekkelések nélkül.
Kipróbálni sajnos nincs lehetőségem,de ha már úgy is benne vagy, akkor egy PPA-t, meg egy apt-get install-t megér. Hátha...

----------------
(:> )B

Érdekes, sose hallottam még erről az XBMC-ről.
Nem indul el, azt írja, hogy a videókártyám (HD4330) nem támogatja a gyorsított opengl-t. Ez nem igaz, majd megpróbálom az ati honlapjáról leszedett driverrel, de azt meg az ubuntus xvba-va-video csomag nem szereti, mert nem látja, hogy fenn van és fglrx csomagot akar magának mindenképpen... :/

Update: új atis driverrel már elindul, de videó indításakor azonnal segfaultol.. :(

És mi a baj tkp az fglrx-el?
--
"A herceg én vagyok."

Nem megy vele a videó gyorsítás.. Erről szól a topik.

10.4 alatt megy ATI4650-nel.
Hasonló nyügökkel , az ubuntu által adott elavult csomagok ,magasabb verzió számúak.

"az ubuntu által adott elavult csomagok ,magasabb verzió számúak"

Igen, pont ez a baj.
Sikerült javítani valamit? VLC-vel is megy vagy csak a splitted desktopos mplayerrel?

A 10.4-en nagyon régi VLC van , természetesen nem megy vele.
A forgatott mplayer tud mindent ami kell.
Bár processzor terhelésben messze van a MPC-HC-tól.
Ugyan azt az MKV h264 full HD videót lejátszva az mplayer 35% az MPC HC 15% procit kér.
És MPC HC-nak láthatóan szebb a képe.

De azt hogy oldottad meg, hogy az ubuntus, nem működő libva1, libva-dev, etc.. csomagoknak újabb verziószámuk van, mint a működő splitted desktoposoknak? Állandóan upgradelni akarja őket az ubuntu. Vlc-nek, mplayernek, xbmc-nek meg csomó másnak kellenek az új verziójúak. Be lehet valahogy hazudni az ubuntunak, hogy a régi csomagokat is újnak lássa?

Nincs VLC,nincs ubuntus mplayer, nincs xbmc ,a libva1 ki lett cserélve.
Az smplayernek meg az általam fordított mplayer van megmutatva.
A libva1-et meg nem engedem upgradelni.

De az smplayer függ az mplayertől, ami függ a libva1-től..
Hogy raktad fel? Forrásból fordítottad azt is valahogy?

Libva1 leszed minden függőséggel egyetemben.
Új libva1 ,xvba, felrak, rinyálás ignorálva.
Smplayer felrak , viszi magával az mplayer nogui-t is.
Smplayernek megmutat a saját mplayer , smplayer felparaméterez.
Van videó gyorsítás , eltakarodott vagy 100Mbyte szemét ,van öröm.

Hát most egy időre megint elment a kedvem az egésztől. Mindent megcsináltam ugyanúgy, mint a múltkor és most crashel az mplayer. És a glxgears is sokkal lassabb, mint kéne..

Amúgy lehet, meg lehet csinálni, amit írsz 10.04 alatt, de 11.10-el broken csomagok lesznek, ha megpróbálom felrakni az smplayert berögzített, régi libva1-re. Mert közvetve függ tőle.

Azért köszi a segítséget.

"És a glxgears is sokkal lassabb, mint kéne"
Fent van az ATI által adott driver , vagy csak az ami az ubuntu által adott zárt driver ?

Az smplayernek milyen függőségei vannak 11.10 alatt ?
Nem valószínű , hogy az ubuntu a legjobb hardware-ra szabható disztribúció.

Az ATI oldalról leszedett 11.11-es drivert raktam fel, amivel a múltkor működött a gyorsítás. Nem tudom, hogy akkor mennyivel ment a glxgears, de szerintem pont az ubuntu által adott driverrel szokott jól menni. Majd megnézem. :)

http://packages.ubuntu.com/oneiric/smplayer
smplayer -> mplayer -> libavcodec53 -> libva1

Ahogy látom Lucidnél ez nincs így.

Valóban.
smplayer -> mplayer nogui
Sajnálatos ez az ubuntura nézve , hogy még mindig nem megy a hw dekódolás.
Akkor ez most mit fejlődött , mert szerintem alap kéne ,hogy legyen.

Van valami parancs, amivel üres csomagokat lehet létrehozni tetszőleges néven.Néhány évvel ezelőtt ezzel a módszerrel sikerült valami hasonló problémát megoldani. Azt mondjuk nem mondom hogy nem gány megoldás. A parancs nevére sajnos már nem emlékszem, de ha gondolod megpróbálom megkeresni.

Nekem Intel Core i3 (Arrandale) integrált GPU, Ubuntu 11.10, simán megy a libva, minden hekkelés nélkül (VLC-t használok főleg). Még 10.10-nél próbáltam nVidia Quadro NVS 140-en (=GeForce 8400), mplayer vdpau-val simán ment.
Sajnos Radeon-al nincs tapasztalatom, de elvileg HD4xxx-től tudnia kellene.

Nekem Nvidiám van. Most épp G 210-es. Eredetileg Ati-m volt de a pocsék támogatás miatt váltottam. És jól tettem. Ebben az esetben pl. van videó gyorsítás VDPAU-n keresztül. Szinte mindent a gyorsít. Mpeg 1/2/4 és variánsai,Flash és a többi. Ha rendesen be van állítva a proci csak a hanggal foglakozik. Értsd HD videó teljes terhelésű procinál 2-3%.

---------------------------------------------------------------
Ritkán szólok hozzá dolgokhoz. Így ne várj tőlem interakciót.

HD 4330-ba van egyáltalán hardveres gyorsítás? Olyasmi rémlene, hogy akkoraba még nem raktak bele.

Van benne, mert egyszer már sikerült megcsinálnom 3pp csomagokkal, csak akkor borult a csomagok közti dependency, ahogy írtam már feljebb.

UVD2.2 motor.
2 független full HD MPEG2,H264,VC-1 stream gyorsítása 2 megjelenítőn.

Ezek szerint akkor senkinek nem működik atival a video gyorsítás alapból?

Nem akarok ünneprontó lenni, de igazából én már annak örülök, hogy nem fagy szét az X külső monitorral. Egy Dell Vostro 3350-el vagyok megáldva, amiben ATI 6490m kártya van. Ez egy külön mókás dolog a belső Inteles kártya mellett és külön gondokat okoz. Az új, gyári ATI(AMD) driverrel sem megy rendesen még a külső monitor sem. Így nekem az lett a megoldás, hogy nincs zárt driver, a kernel nyílt forrású modulja pedig tiltva van és így az Intel kártyával megy nagyjából minden. Szerintem az ATI soha nem volt használható Linux-on és még nagyon sokáig nem is lesz az. A problémát úgy oldom meg, hogy film, játék, szórakozás Windows-on, munka Linux-on dual boot-ban. Ha már adtak hozzá Windowst, akkor ez így belefér.

Hogy tiltottad le a nyílt Ati drivert? /etc/modprobe.d/blacklist -be tettél egy bejegyzést?
Elvileg az Intel kártya is bírja az 1080p filmeket video gyorsítással. Nekem is van belső Inteles kártyám, eddig eszembe se jutott, hogy azt próbáljam meg használni. Hmmmm. Neked mennek a fullhd filmek az intellel?

Update: Blacklisteltem az ati drivert a /etc/modprobe.d/blacklist.conf -ban:
blacklist radeon

Letöltöttem az inteles VA drivert: sudo apt-get install i965-va-driver

$ vainfo
libva: libva version 0.32.0
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/dri/i965_drv_video.so
libva: va_openDriver() returns 0
vainfo: VA API version: 0.32
vainfo: Driver version: i965 Driver 0.1
vainfo: Supported profile and entrypoints
VAProfileMPEG2Simple : VAEntrypointVLD
VAProfileMPEG2Main : VAEntrypointVLD

Ahogy a vainfo kimenetén is látszik, az intel még nem implementálta a h264 gyorsítást 4500mhd videokártyákhoz linux alatt. :(

Továbbra sincs móka és kacagás.

Evvel a videokártyával:
VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
és i965-va-driverrel ezt a kimentet kapom:

$ vainfo
libva: libva version 0.32.0
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/dri/i965_drv_video.so
libva: va_openDriver() returns 0
vainfo: VA API version: 0.32
vainfo: Driver version: i965 Driver 0.1
vainfo: Supported profile and entrypoints
VAProfileMPEG2Simple : VAEntrypointVLD
VAProfileMPEG2Main : VAEntrypointVLD
VAProfileH264Baseline : VAEntrypointVLD
VAProfileH264Main : VAEntrypointVLD
VAProfileH264High : VAEntrypointVLD

Szóval sztem igen a kártya a gond :(

Az energia nem vész, csak a franc se tudja hova lesz.

Igen, az új intel ix processzorokba integrált video kártyáknál működik a dolog.
http://intellinuxgraphics.org/h264.html

Bocs, hogy csak most valaszolok, de eddig nem volt idom megnezni.

Igen, letiltottam ahogy mondtad a /etc/modprobe.d/blacklist.conf-ba ezt írva:
blacklist radeon

Most teszteltem a HD-t (oszinten szolva eddig sosem foglalkoztam ezzel linux-on) es meglepoen jo eredmenyek vannak.
Ha ezt a videot http://videos.movie-list.com/shrubz/sherlock_holmes_2_tlr1_1080p_5.1.mkv nezem VLC-vel, akkor ez a terheles: http://imageshack.us/photo/my-images/217/vlc1080pmkv.png/
Ha pedig a Youtube-on nezem ezt a videot http://www.youtube.com/watch?v=XITHbsUUlYI , akkor ez a terheles: http://imageshack.us/photo/my-images/703/youtube1080p.png/

Szoval meg a Flash-es HD is megy alacsony proci terhelessel a 11-es Flash playerrel. Semmit nem hegesztettem kezzel, minden gyari Ubuntu csomag.

A vainfo ezt mondja:
nightw@beren:~$ vainfo
libva: libva version 0.31.1
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/dri/i965_drv_video.so
libva: va_openDriver() returns -1
vaInitialize failed with error code -1 (unknown libva error),exit

800 Mhz-es proci és 2.6.3-as kernel és mégis megy a fullhd.... aaaa? :) Milyen linuxod van?
Pedig a vainfo szerint nem kéne mennie...

Teljesítmény állítós a proci nyilván. Korábban írtam, hogy Dell Vostro 3350. 11.04-es Ubuntut használok. A valós kernel: 2.6.38-13-generic #53-Ubuntu SMP
Az a tool az valami apró gnome-os teljesítmény monitor, amiben egy-két adat valami miatt lehet rossz, a proci használatot viszont tuti jól írja, azért screenshot-oltam le. :)

Ez elég jónak tűnik.
Tehát a libva* és xvba csomagok gyári ubuntusok, az ati driver az ati honlapról letöltött 11.11-es, jól látom?
Az mplayer honnan van?

Update: Látom, hogy az ati driver is ubuntus, csak nem a sima, hanem az updates. Nekem ezt valamiért nem engedi guiból installálni, parancssorból viszont igen.
Felraktam az összes csomagot, ahogy te és:

$ vainfo
libva: libva version 0.32.0
Xlib: extension "XFree86-DRI" missing on display ":0.0".
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/dri/fglrx_drv_video.so
Xlib: extension "XFree86-DRI" missing on display ":0.0".
xvba_video: XVBA_CreateContext(): status 11
libva error: /usr/lib/dri/fglrx_drv_video.so init failed
libva: va_openDriver() returns -1
vaInitialize failed with error code -1 (unknown libva error),exit

$ vainfo
libva: libva version 0.31.1-sds1
Xlib: extension "XFree86-DRI" missing on display ":0.0".
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/va/drivers/fglrx_drv_video.so
Xlib: extension "XFree86-DRI" missing on display ":0.0".
libva: va_openDriver() returns 0
vainfo: VA API version: 0.31
vainfo: Driver version: Splitted-Desktop Systems XvBA backend for VA-API - 0.8.0
vainfo: Supported profile and entrypoints
VAProfileH264High : VAEntrypointVLD
VAProfileVC1Advanced : VAEntrypointVLD

Szerintem nem takarítottál ki minden (fordított akármit és esetleg atis telepítőt) szemetet a próbálkozások után.
Az mplayert nem tudom, honnan szedtem le, majd felteszem a fenti címre hamarosan.

Én is gyanítok valami ilyesmit, mert ahogy egyszer sikerült megcsinálnom, utána már nem ment ugyanúgy..
Most megpróbáltam lepurge-ölni mindent és utána újratelepíteni, de ugyanaz van:
libva error: /usr/lib/dri/fglrx_drv_video.so init failed

A végén még újra kell telepítenem az egész oprendszert.. :(

"A végén még újra kell telepítenem az egész oprendszert.. :("
Mint a Windowsnál , egyszerűbb újra húzni mint hibát keresni ?
Látom egyre közelebb a Linux desktop éve.:)

Hát azért csináltam pár érdekes dolgot a próbálkozások között, ami elcseszerinthette az egészet. Pl volt hogy jockeyval installáltam a drivert és apt-get-tel szedtem le. Ilyet nem szabadott volna csinálni szerintem, mert máshogy működik a kettő.
Nem kell ez a desktop éve dolog ide..

Subscribe. Csak emiatt van még meg az XP rajta k-lite@vlc kombóval. Ubi alatt eddig nem sikerült működésre bírni semmilyen HD cuccot, pedig Nvidiás és ATI-s vonalon is próbálkoztunk a kollégákkal igen serényen.

Nvidia (megfelelő kártya) évek óta gyorsít mindent, szóval rosszul próbálkoztatok.

Igen, minden bizonnyal így volt!

Sziasztok,

Felhozom a témát, segítségre lenne szükségem. HTPC-t akarok építeni az eddig NAS-ként használt Microserver-ből. Ennek a procija elég csenevész, tehát raknék bele vga-t a lejátszás gyorsítására. A vason 10.04 Ubuntu van, le is cserélhetném de nem igazán szeretném (már eléggé belaktam).
Elvárt tulajdonságok: passzív hűtés, férjen el egy kártyahelyen (több hely nincs), low profile, hdmi kimenet, linux alatti videogyorsítás, lehető legkevesebb hakkolás és főleg szopás. Ja, hdmi-n kellene mindennek kimennie, a gyorsított videónak és a desktop-nak is. Ennyi érdekel és semmi több, nem szempont, hogy glxgears hogy megy.

Két jelöltem van: nvidia 210 és ati 5450.

Régen az a mondás járta, hogy Linux alá csakis nvidia, de évek óta nem foglalkozok ilyesmivel, szóval simán változhattak a dolgok.

Kérdésem: melyiket válasszam?

Nvidia-t. Annyi dolgod lesz vele, hogy belerakod, bekapcsolod a gépet, zárt driver popup felugrik, két kattintás, települ, reboot, működik. Mplayer frontendben beállítod a vdpau kimenetet, vlc-ben bekapcsolod a gpu gyorsítást és kész.

---
A Linux nem ingyenes. Meg kell fizetni a tanulópénzt.
Az emberek 66 százaléka nem tud számolni! Gondoljatok bele, ez majdnem a fele!!
Mindenki jó valamire. Ha másra nem, hát elrettentő példának.

Köszönöm.
Nvidia-val csak annyi a bajom, hogy amit most kapni lehet (a sarki kisboltban) az vagy nem passzív vagy nem fér el egy kártyányi helyen a hűtése.

Mint már írtam, nekem is gf 210-em van. És teljesen meg vagyok vele elégedve. Vdpau úgy megy mint a sicc. Fél profilos, hdmi-s. A venti meg soha nem megy 10-20% fölött. Valamiért az nvidia referencia kártyája ventis volt. Ezért azt hiszem mindenki így gyártja. Szerintem mehetne passzívba is. (mint már írtam alig melegszik terhelve is, illetve bírja a hőt is. (80-90c) A neten utána nézhetsz pontosan is.) Lehet át szerelhetnéd passzívra.

---------------------------------------------------------------
Ritkán szólok hozzá dolgokhoz. Így ne várj tőlem interakciót.

Egy GeForce 9500 GT -t hajtok úgy már több mint 2 éve, hogy egyszerűen lehúztam a ventit róla. 90-95°C-on üzemel 7/24, gond nélkül. Tudom, hogy sokkal gyorsabban elnyű így mint egyébként, de még annál is gyorsabban elavul, hogy elnyűjjön.

Nagy tévhit az, hogy nvidiával nincs szopás linux alatt. Legalábbis nálam (egy másik laptopon, nem azon, ami az OP-ban van) van egy nVidia 540M és egy prociban integrált Inteles és 64 bites Ubuntu 11.10 alatt el se indul az X.

https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/643895

(Legalább a proci elviszi a filmeket, gyorsítás nélkül is. :) )

Szopás mindenhol van, csak nem szeretném túlzásba vinni. Olvasgatok mostanság erről, nagyrészt nvidia-t ajánl mindenki, bár van pozitív jelzés ati-ról is.

Nekem a cpu izomból lejátsza megoldás nem működne, mert a microserver cpu-ja elég csenevész...

ez talán segíthet: https://launchpad.net/~bumblebee

Véletlen nem optimus technológiás a laptop? Mert a probléma nálad nem az nvidia vga driver, hanem a igp-k közti váltásért felelős driver. Ha csak nvidia vagy intel igp lenne a laptopban, semmi problémád nem lenne. Úgyhogy ezt most ne keverjük ide, asztali gép dedikált vga-jához, jó?

---
A Linux nem ingyenes. Meg kell fizetni a tanulópénzt.
Az emberek 66 százaléka nem tud számolni! Gondoljatok bele, ez majdnem a fele!!
Mindenki jó valamire. Ha másra nem, hát elrettentő példának.

deje, salaud: Igen, sejtem, hogy ez a probléma. Majd kipróbálom vagy a bumblebee-t vagy az ironhide-ot. De miért nincsen ezek közül valamelyik default feltelepítve?

https://launchpad.net/~hybrid-graphics-linux

Van valakinek tapasztalata ezekkel?

Kipróbáltam a bumblebee-t és működik. Elindul az X is és megy a glxgears stb.. van 3d renderelés. lshw-val nem is látszik az nvidia ha nem használja semmi. glxgears 60 fps-t ad az inteles kártyával és 100-at az nvidiával. Ez még elég gyenge egyelőre, még az Ati 4330 is többet tudott.

A glxgears csak arra jó hogy lásd megy-e a 3d. Nem bencsmárk. Az intel vga-tól meg ne várj sokat. Bár a driverei jók szoktak lenni de én speciel annak is szoktam örülni ha megy vele minden alap dolog.

---------------------------------------------------------------
Ritkán szólok hozzá dolgokhoz. Így ne várj tőlem interakciót.

És a glxspheres se benchmark? Az is hasonló eredménykülönbséget ad.

Azt nem ismerem.

---------------------------------------------------------------
Ritkán szólok hozzá dolgokhoz. Így ne várj tőlem interakciót.

up!

ATI és Ubuntu 10.04-re , feljebb már leírtam , hogy működik.

Jaja, olvastam, próbálom minimalizálni a szopófaktort. Bár az ősrégi csomagokat nvidia-nál is le kell cserélni, szóval az lesz így is...

Update: vettem ati 5450-et, mert azt lehetett kapni.

Jelenleg tákolt (xvba-s repo) xbmc-vel jól megy az 1080p-s lejátszás is (microserver, ubuntu 10.04) mindenféle extra dolog nélkül is, cpu-ból 25%-ot eszik. Még nem tökéletes a cucc (ati driver-en faragni kellene), de eddig jó.

Az XBMC tétlen módban több CPU-t zabál mint lejátszás alatt.

ezt ki kell kapcsolni: System - Appearance - Skin - Show RSS news feed

Így 3% cpu-t eszik a korábbi 70% helyett.

Köszi !

Bár jobban megnézve ez se 100%, mert főmenüben semmi terheltség, de ha menüben kolbászolok itt-ott akkor beleharap a prociba. Bár nálam ez egy 12W TDP-s procinál annyira nem visz csődbe, de zavar. Azt is írják, hogy a driver-ben a vsync-et kapcsold be, az is segít valamit.

Kipróbáltam a Live XBMC-t , egy A3500-as rendszeren.
Hát jó nagy csalódás.

Alapban az xbmc csak vdpau-val gyorsít, xvba-ra van kb. egy hónapja egy külön verzió, ITT. Elvileg ebből is van live, gyakorlatilag nem sikerült boot-olnom róla, ez persze lehet az én faszságom is. Mindenesetre nekem ez a cucc bejött. Azt írja a srác, hogy "Important Note for ATI HD 5xxx series users: Stick to fglrx 11.11, as 11.12 does not work on this series", nekem a 11.11 csinált érdekességeket, a legújabb 12.1-es viszont jó.

Kipróbáltam ebből is a Live-ot , még mindig rengeteg a bug.
Sokkal gyorsabb és gördülékenyebb , jól kezeli az egeret és extra billentyűzetet.
Megy a Full HD ,van videó gyorsítás , van HDMI-n 7.1 hang.
Filmek mennek , képek mennek az anim gif kivételével, Windowsos megosztások mennek.
Tunert nem ismeri fel, helyi NTFS merevlemezek nincsenek felcsatolva.
Zene nincs , egy MP3/flac/mod/xm/midi/it file lejátszásba belehal az egész és egy ranada magenta színű login képernyővel vége a mutatványnak.

Az a live valszeg ősrégi, repóból legfrissebb simán játszik zenét, ma próbáltam. Szerintem nem véletlen, hogy még nincs benne a mainline-ban. Mindenesetre eddig ez az, ami a legjobban működik, bár mást még nem próbáltam :) Ez kb. elég majdnem mindenre, de majd játszok még vlc-vel és a splitted desktop-os mplayer-rel is. Bár ezzel lehet megvárom a 12.04-et, mert ez a libva-s mókolás eléggé pita, és remélhetőleg ott már nem kell ez...

Az eden beta1 es a beta2ben mar be van kapcsolva alapbol az xvba, erdemes tehat nem a stabil Dharma hanem az Eden verziot erdemes hasznalni. Napi tapasztalatom szerint stabil.

https://launchpad.net/~team-xbmc/+archive/unstable

Az libva-val en is sokat szivtam mire rajottem, hogy mit hogyan.

szedd innnen: http://www.splitted-desktop.com/static/libva/libva//

Fontos tapasztalat volt, hogy az fglrxet ujra kell rakni a libva felrakasa utan.

Sok szerencset :)

Szia,

Rákérdeztem, és ezt a választ kaptam: "XBMC Eden supports xvba through vaapi. Due to a couple of problems we started to try direct support for xvba which is the topic of this thread. This work is still experimental (although it seems to work better than vaapi/xvba) and won't make it into the Eden release."

Egyébként teszteltem tovább, viszonylag élvezhetően játszik le 36 Mbps-es 1080p videót is (azért az látszik, hogy kb. másodpercenként be-begyorsul, nincs a cuccban elég kraft).

Na úgy látom egy darabig hanyagolom az XBMC-t.
Több HD videóval is előjött ,hogy egy darabig rendesen játsza majd egy idő után beakad , siet ,késik.
Teljesen rapszódikus a viselkedése.
A menüben kotorászva időnként az égig csavarja a procit.
Most már egy A3850 van alatta és mégis sz@rakszik , ugyan ennél a filmnél az mplayerrel elalszik a processzor.

Asszem en meg osszerakok egy XBMC howto-t mert nalam ilyen problema nincs :)

Vaapin keresztul tok jol mukodik minden nekem

Milyen rendszeren, milyen hardware környetetben és melyik verzió ?